import { world, system } from "@minecraft/server";
 
class loreItem {
    constructor(itemId, lore) {
        this.itemId = itemId;
        this.lore = lore;
    }
}
 
const ItemArray = [
    new loreItem("yokaiwatch:crank_a_card", ["Trade with the Crank-a-Kai to get more coins!"]),
    new loreItem("yokaiwatch:pocket_crank", ["The Crank-a-Kai, now on the go!"]),
    new loreItem("yokaiwatch:one_star_coin", ["A coin for the Crank-a-Kai! It has a 1-star feel."]),
    new loreItem("yokaiwatch:five_star_coin", ["A coin for the Crank-a-Kai! It has a 5-star feel."]),
    new loreItem("yokaiwatch:special_coin", ["A special coin for the Crank-a-Kai!"]),
    new loreItem("yokaiwatch:strength_talisman", ["Increases E-S Rank damage decently!"]),
    new loreItem("yokaiwatch:defense_talisman", ["Increases E-S Rank defense decently!"]),
    new loreItem("yokaiwatch:spirit_talisman", ["Increases E-S Rank regeneration decently!"]),
    new loreItem("yokaiwatch:super_strength_talisman", ["Increases E-B Rank damage greatly!"]),
    new loreItem("yokaiwatch:super_defense_talisman", ["Increases E-B Rank defense greatly!"]),
    new loreItem("yokaiwatch:super_spirit_talisman", ["Increases E-B Rank regeneration greatly!"]),
    new loreItem("yokaiwatch:mechanical_wandroid_pickaxe", ["§dDeveloped to destroy ores with ease."]),
    new loreItem("yokaiwatch:enmablade", ["§cOnly the worthy can hold this mighty blade."]),
    new loreItem("yokaiwatch:oni_club", ["How are you even carrying this thing!?"]),
    new loreItem("yokaiwatch:forgotten_hat", ["Not even Lord Enma himself remembers this hat."]),
    new loreItem("yokaiwatch:failures_shades", ["Go D.s alike appreciate these shades."]),
    new loreItem("yokaiwatch:vampire_nyan_mask", ["This bizarre mask is ancient, yet durable."]),
    new loreItem("yokaiwatch:dragon_scarf", ["A first-class sentient scarf."]),
    new loreItem("yokaiwatch:haramaki", ["Is that.. melted chocolate?!"]),
    new loreItem("yokaiwatch:justice_gear", ["With this, either become OR create a hero!"]),
    new loreItem("yokaiwatch:fake_pompadour", ["Makes you feel rude as it SHINES ON YOU."]),
    new loreItem("yokaiwatch:moximous_mask", ["MMMMOXIEEE!!!!"]),
    new loreItem("yokaiwatch:bootleg_moximous_mask", ["No doubt this would anger true fans."]),
    new loreItem("yokaiwatch:supernyan_mask", ["Up, up, and away!!"]),
    new loreItem("yokaiwatch:komander_mask", ["I am vengance!"]),
    new loreItem("yokaiwatch:iron_doll", ["Not worth much."]),
    new loreItem("yokaiwatch:bronze_doll", ["Worth a decent amount."]),
    new loreItem("yokaiwatch:silver_doll", ["Worth a great amount of cash!"]),
    new loreItem("yokaiwatch:gold_doll", ["§gWorth a beautiful amount of cash!!!§f"]),
    new loreItem("yokaiwatch:chairmans_hat", ["Congrats, you've defeated Squiddilus McKraken!"]),
    new loreItem("yokaiwatch:dame_staff", ["Congrats, you've defeated Dame Dedtime!"]),
    new loreItem("yokaiwatch:dame_staff_loiters", ["A Dame Staff that summons Loiters exclusively."]),
    new loreItem("yokaiwatch:dame_staff_schemers", ["A Dame Staff that summons Schemers exclusively."]),
    new loreItem("yokaiwatch:dame_staff_flickers", ["A Dame Staff that summons Flickers exclusively."]),
    new loreItem("yokaiwatch:slimy_eye", ["It's so slippery!! I can't catch it!"]),
    new loreItem("yokaiwatch:subzero_chocobar", ["Bite this, and you'll literally get Frostbite."]),
    new loreItem("yokaiwatch:magic_marshmallow", ["Eating this will probably mutate you."]),
    new loreItem("yokaiwatch:thorn", ["Don't step on it!"]),
    new loreItem("yokaiwatch:thorn_helmet", ["Just be REAAAL careful putting this on!"]),
    new loreItem("yokaiwatch:broken_pad", ["Whisper scrolled too hard, and it shattered."]),
    new loreItem("yokaiwatch:sand_suit", ["Better Call Sandmeh!"]),
    new loreItem("yokaiwatch:eggshell", ["Just like Pallysol, you've killed a happy camper."]),
    new loreItem("yokaiwatch:sarcastic_cloth", ["I'm SOOO sorry you can't craft this into a shirt!"]),
    new loreItem("yokaiwatch:sand_suit", ["Better Call Sandmeh!"]),
    new loreItem("yokaiwatch:invader_transmitter", ["For alien invasion use only!"]),
    new loreItem("yokaiwatch:frozen_bottle_cap", ["It's small, yet still so cold!"]),
    new loreItem("yokaiwatch:ss_jibanyan_soul", ["Craft 3 souls to get Lightside Jibanyan!"]),
    new loreItem("yokaiwatch:bottle_cap", ["It's only a bottle cap, yet it feels premium."]),
    new loreItem("yokaiwatch:band_album", ["It says here.. Inspiriting without Moving."]),
    new loreItem("yokaiwatch:starry_spangles", ["MURICA!"]),
    new loreItem("yokaiwatch:red_glasses", ["These glasses can change Blizzaria heavily!"]),
    new loreItem("yokaiwatch:robo_chip", ["Even this chip alone looks futuristic."]),
    new loreItem("yokaiwatch:yokaiwatch_elda", ["Use the elda to go into Lightside or Shadowside!"]),
    new loreItem("yokaiwatch:kamaitachi_claw", ["Used to turn Nekomata into Kaibyou Kamaitachi!"]),
    new loreItem("yokaiwatch:yokaiwatch_kuroi_t1", ["Befriends E and D Rank Kuroi Yo-kai."]),
    new loreItem("yokaiwatch:yokaiwatch_kuroi_t2", ["Befriends C and B Rank Kuroi Yo-kai."]),
    new loreItem("yokaiwatch:yokaiwatch_kuroi_t3", ["Befriends A and S Rank Kuroi Yo-kai."]),
    new loreItem("yokaiwatch:robo_gear", ["A spare part from the future!"]),
    new loreItem("yokaiwatch:imperial_chip", ["Use this to upgrade USApyon!"]),
    new loreItem("yokaiwatch:upgrade_chip_f", ["Use this to upgrade Robonyan!"]),
    new loreItem("yokaiwatch:scroll", ["A scroll that can hold many things Yo-kai related."]),
    new loreItem("yokaiwatch:koma_star_scroll", ["Use on the Big Boss Door to fight Koma Star!"]),
    new loreItem("yokaiwatch:unkeen_scroll", ["Use on the Big Boss Door to fight Unkeen!"]),
    new loreItem("yokaiwatch:unkaind_scroll", ["Use on the Big Boss Door to fight Unkaind!"]),
    new loreItem("yokaiwatch:emperors_scroll", ["Use on Captain Thunder to awaken him."]),
    new loreItem("yokaiwatch:bunny_blaster", ["It's out of lasers.. completely empty."]),
    new loreItem("yokaiwatch:emperors_blaster", ["With the help of USApyon, THE blaster was made!"]),
    new loreItem("yokaiwatch:emperors_laser", ["Probably shouldn't hold a laser in your hand.."]),
    new loreItem("yokaiwatch:ice_shard", ["It's cold, but it's perfect for crafting a clip."]),
    new loreItem("yokaiwatch:glacial_clip", ["A specific Yo-kai can become a Ice Queen with it!"]),
    new loreItem("yokaiwatch:ghostly_goo", ["It's odd slime that slips right off of your hand.."]),
    new loreItem("yokaiwatch:silly_drum", ["Don-chan didn't deserve this, you monster!!"]),
    new loreItem("yokaiwatch:jumonji_yari_spear", ["The spear of a legend that walked 0 miles."]),
    new loreItem("yokaiwatch:happiness_cloud", ["Only the purest can ride it, but you killed him.."]),
    new loreItem("yokaiwatch:soulless_umbrella", ["It used to be happy, feeling glad."]),
    new loreItem("yokaiwatch:non_edible_sausage", ["Is it a sausage? It's got me dazed and confused!"]),
    new loreItem("yokaiwatch:essence_of_evil", ["A real wicked aura surrounds this bag."]),
    new loreItem("yokaiwatch:golden_gear", ["Put it together at your own risk!"]),
    new loreItem("yokaiwatch:silver_gear", ["Put it together at your own risk!"]),
    new loreItem("yokaiwatch:combined_gears", ["Once used, two truly evil beings will appear."]),
    new loreItem("yokaiwatch:dreadful_piece_1", ["If repaired, a truly wicked battle will begin.."]),
    new loreItem("yokaiwatch:dreadful_piece_2", ["If repaired, a truly wicked battle will begin.."]),
    new loreItem("yokaiwatch:dreadful_tag", ["DUN.. DUN.. DUN!!!!"]),
    new loreItem("yokaiwatch:chanchanko_replica", ["Who keeps making these..!?"]),
    new loreItem("yokaiwatch:ranke_watch", ["A device used to befriend E-Rank Yo-kai."]),
    new loreItem("yokaiwatch:rankd_watch", ["A device used to befriend D-Rank Yo-kai."]),
    new loreItem("yokaiwatch:rankc_watch", ["A device used to befriend C-Rank Yo-kai."]),
    new loreItem("yokaiwatch:rankb_watch", ["A device used to befriend B-Rank Yo-kai."]),
    new loreItem("yokaiwatch:ranka_watch", ["A device used to befriend A-Rank Yo-kai."]),
    new loreItem("yokaiwatch:ranks_watch", ["A device used to befriend S-Rank Yo-kai."]),
    new loreItem("yokaiwatch:yo_kai_blaster", ["It's empty, but you can awaken it with something!"]),
    new loreItem("yokaiwatch:ymoney", ["The currency used by most traders."]),
    new loreItem("yokaiwatch:failians_sacred_puni", ["What's up? I'm the guy chillin' in your inventory."]),
    new loreItem("yokaiwatch:br_token", ["§cA token that has a fearless feeling to it."]),
    new loreItem("yokaiwatch:my_token", ["§gA token that has a weird feeling to it."]),
    new loreItem("yokaiwatch:to_token", ["§6A token that has a strong feeling to it."]),
    new loreItem("yokaiwatch:ch_token", ["§4A token that has a.. cute.. feeling to it!?"]),
    new loreItem("yokaiwatch:he_token", ["§aA token that has a gentle feeling to it."]),
    new loreItem("yokaiwatch:sh_token", ["§9A token that has a devious feeling to it."]),
    new loreItem("yokaiwatch:ee_token", ["§dA token that has a spooky feeling to it."]),
    new loreItem("yokaiwatch:sl_token", ["§bA token that has a slithery feeling to it."]),
    new loreItem("yokaiwatch:br_gtoken", ["§gIt glistens fearlessly."]),
    new loreItem("yokaiwatch:my_gtoken", ["§gIt glistens weirdly."]),
    new loreItem("yokaiwatch:to_gtoken", ["§gIt glistens strongly."]),
    new loreItem("yokaiwatch:ch_gtoken", ["§gIt glistens.. cutely..!?"]),
    new loreItem("yokaiwatch:he_gtoken", ["§gIt glistens gently."]),
    new loreItem("yokaiwatch:sh_gtoken", ["§gIt glistens deviously."]),
    new loreItem("yokaiwatch:ee_gtoken", ["§gIt glistens spookily."]),
    new loreItem("yokaiwatch:sl_gtoken", ["§gHow does it glisten? ..It just does."]),
    new loreItem("yokaiwatch:white_challenge_scroll", ["Use on the Big Boss Door to fight Hardy Hound!"]),
    new loreItem("yokaiwatch:merican_star", ["It shines bright.. ...Don't say it."]),
    new loreItem("yokaiwatch:merican_star_scarf", ["Too small to put on.. still cool regardless!"]),
    new loreItem("yokaiwatch:dreampiece", ["A piece that can create a all seeing watch."]),
    new loreItem("yokaiwatch:dreampiece2", ["A piece that can create a all seeing watch."]),
    new loreItem("yokaiwatch:dreampiece3", ["A piece that can create a all seeing watch."]),
    new loreItem("yokaiwatch:dreampiece4", ["A piece that can create a all seeing watch."]),
    new loreItem("yokaiwatch:dreampiece5", ["A piece that can create a all seeing watch."]),
    new loreItem("yokaiwatch:medallium", ["A book that creates legends with the right medals."]),
    new loreItem("yokaiwatch:sealed_medallium", ["Sealed away due to the dark contents inside of it."]),
    new loreItem("yokaiwatch:sealed_medallium_2", ["Electric Boogaloo!"]),
    new loreItem("yokaiwatch:chocobar", ["It's gourmet to Nyan Yo-kai. Unless they float."]),
    new loreItem("yokaiwatch:bloody_chocobar", ["The only being that'll enjoy this is Dracunyan."]),
    new loreItem("yokaiwatch:burger", ["Nom Burger's the best!"]),
    new loreItem("yokaiwatch:fatty_tuna_sushi", ["Sushi fit for a lying saucer!"]),
    new loreItem("yokaiwatch:giant_cracker", ["Best cracker in the world!"]),
    new loreItem("yokaiwatch:ice_cream", ["It's gourmet to Komainu Yo-kai."]),
    new loreItem("yokaiwatch:whisper_parfait", ["The true gourmet."]),
    new loreItem("yokaiwatch:whisper_donut", ["Nowhere close to the parfait, but still delicious!"]),
    new loreItem("yokaiwatch:top_class_oden", ["It wouldn't be oden if it wasn't boiled!"]),
    new loreItem("yokaiwatch:3_star_pescatore", ["A 3-star chef's take on tomato seafood pasta."]),
    new loreItem("yokaiwatch:special_hot_dog", ["This hot dog's overfilled to the BRIM!"]),
    new loreItem("yokaiwatch:everything_ramen", ["So good you'll shed tears. MANY tears."]),
    new loreItem("yokaiwatch:bamboo_shoot", ["Nobody can resist this vegetable, not even brats!"]),
    new loreItem("yokaiwatch:rice_ball", ["The best rice ball on earth!"]),
    new loreItem("yokaiwatch:amazing_milk", ["Delicious.. It's like you're in heaven!"]),
    new loreItem("yokaiwatch:soul_donut", ["Offer to the Big Boss Door, and summon the Toad!"]),
    new loreItem("yokaiwatch:spirit_donut", ["Offer to the Big Boss Door, and summon the Spider!"]),
    new loreItem("yokaiwatch:jumbo_shrimp_tempura", ["The Yo-kai Hero, Little Charrmer, loves this!"]),
    new loreItem("yokaiwatch:peppy_popcorn", ["It's the best popcorn around!"]),
    new loreItem("yokaiwatch:chili_shrimp", ["If Lord Enma himself loves it, it HAS to be good!"]),
    new loreItem("yokaiwatch:buster_curry", ["It's a whole meal!"]),
    new loreItem("yokaiwatch:jumbo_parfait", ["It holds a dim candle to the Whisper Parfait!"]),
    new loreItem("yokaiwatch:vampires_blood", ["Pure evil is directed to those who carry it."]),
    new loreItem("yokaiwatch:reverstone", ["It'll bring THEM to the present time.."]),
    new loreItem("yokaiwatch:awakened_eye", ["The 3-Headed Reptile awaits for it's call."]),
    new loreItem("yokaiwatch:chairmans_tag", ["This will start the greatest battle known to man!"]),
    new loreItem("yokaiwatch:blue_silly_drum", ["Oh, you've angered Katsu now!"]),
    new loreItem("yokaiwatch:yo_kai_blaster_mrsandmeh", ["The inspirit of regeneration is within!"]),
    new loreItem("yokaiwatch:yo_kai_blaster_coughkoff", ["It'll spread sickness like wildfire!"]),
    new loreItem("yokaiwatch:yo_kai_blaster_venoct", ["2 styles of fighting, truly the best of the best.."]),
    new loreItem("yokaiwatch:yo_kai_blaster_jibanyan", ["He's so fast! Those claws will HURT!!"]),
    new loreItem("yokaiwatch:rankd_soul", ["The wandering soul of a D-Rank Yo-kai."]),
    new loreItem("yokaiwatch:rankc_soul", ["The wandering soul of a C-Rank Yo-kai."]),
    new loreItem("yokaiwatch:rankb_soul", ["The wandering soul of a B-Rank Yo-kai."]),
    new loreItem("yokaiwatch:ranka_soul", ["The wandering soul of a A-Rank Yo-kai."]),
    new loreItem("yokaiwatch:ranks_soul", ["The wandering soul of a S-Rank Yo-kai."]),
    new loreItem("yokaiwatch:remorseful_soul", ["A scummy soul.. feed it to the Kuroi Watch."]),
    new loreItem("yokaiwatch:fussy_soul", ["A scummy soul.. feed it to the Kuroi Watch."]),
    new loreItem("yokaiwatch:deceitful_soul", ["A scummy soul.. feed it to the Kuroi Watch."]),
    new loreItem("yokaiwatch:gallant_soul", ["A scummy soul.. feed it to the Kuroi Watch."]),
    new loreItem("yokaiwatch:moximous_game", ["Exchange 5 games with a ghost for a special mask!"]),
    new loreItem("yokaiwatch:y_files", ["Classified information."]),
    new loreItem("yokaiwatch:upgrade_chip_type_f", ["A special chip that upgrades Robonyan!"]),
    new loreItem("yokaiwatch:upgrade_chip_type_f2", ["A special chip that upgrades Robokoma!"]),
    new loreItem("yokaiwatch:upgrade_chip_type_p", ["This chip is nothing short of premium!"]),
    new loreItem("yokaiwatch:upgrade_chip_type_usa", ["A futuristic chip originating from America."]),
    new loreItem("yokaiwatch:ghz_orb", ["Be proud, you didn't get fried.. somehow!"]),
    new loreItem("yokaiwatch:dragon_orb", ["Draggie seems to be missing.. guess this is trash."]),
    new loreItem("yokaiwatch:eyedras_eye", ["The eye of a beast."]),
    new loreItem("yokaiwatch:boar_key", ["Feel the red oni's wrath!"]),
    new loreItem("yokaiwatch:deer_key", ["Feel the blue oni's wrath!"]),
    new loreItem("yokaiwatch:butterfly_key", ["Feel the black oni's wrath!"]),
    new loreItem("yokaiwatch:underworld_hat", ["The Underworld Chairman's hat."]),
    new loreItem("yokaiwatch:invader_chip", ["Holding this chip alone infuriates you!"]),
    new loreItem("yokaiwatch:vulture_key", ["A key with a unsettling aura.."]),
    new loreItem("yokaiwatch:sealed_pot", ["It's a..rice.. ..cooker."]),
    new loreItem("yokaiwatch:infinite_inferno_gate_1", ["Opening this gate will bring Eyedra to the world."]),
    new loreItem("yokaiwatch:big_boss_door_item", ["Strong foes reside behind this door!"]),
    new loreItem("yokaiwatch:festobar", ["'Tis the season to be jolly!"]),
    new loreItem("yokaiwatch:b_suit", ["Craft with specific Yo-kai to change their style!"]),
    new loreItem("yokaiwatch:strawberry_chocobar", ["Very sweet!"]),
    new loreItem("yokaiwatch:unsettling_plush", ["A door that brings the past or future to you."]),
    new loreItem("yokaiwatch:enma_flute", ["With this flute, you'll awaken a king."]),
    new loreItem("yokaiwatch:cute_bowtie", ["Perfect for a lucky snake!"]),
    new loreItem("yokaiwatch:inmates_glasses", ["Could probably just go to a jail and return it."]),
    new loreItem("yokaiwatch:jaen_pass", ["A invitation from Jaen to test your strengths!"]),
    new loreItem("yokaiwatch:trial_invitation", ["A invitation from Lord Enma himself!"]),
    new loreItem("yokaiwatch:trial_pass", ["Enter the Palace Door once more.."]),
    new loreItem("yokaiwatch:liberation_orb", ["The orb beats as if it had a heartbeat.."]),
    new loreItem("yokaiwatch:ss_jibanyan_key", ["Fight Shadowside Jibanyan with this key!"]),
    new loreItem("yokaiwatch:mo_key", ["Craft with this key to fight Mononoke Yo-kai!"]),
    new loreItem("yokaiwatch:yo_kai_door_item", ["A door that brings timelines together."]),
    new loreItem("yokaiwatch:golden_jumbo_shrimp_tempura", ["Summon the leader of Tempest Pride with this item!"]),
    new loreItem("yokaiwatch:sushi_bunnys_card", ["With this, you can summon Agent Spect-hare!"]),
    new loreItem("yokaiwatch:overworked_owners_medallion", ["Fighting gooollddd!"]),
    new loreItem("yokaiwatch:mysterious_medallion", ["Not Mysterious as in the tribe, but as in.. odd!"]),
    new loreItem("yokaiwatch:steering_wheel", ["Built specifically for Oh Wheel."]),
    new loreItem("yokaiwatch:piece_of_mochi", ["It's surprisingly good.."]),
    new loreItem("yokaiwatch:hair_puff", ["You notice the hair reforming on this puff.."]),
    new loreItem("yokaiwatch:gourd_bottle", ["Somehow, this bottle makes water incredibly fresh."]),
    new loreItem("yokaiwatch:clean_bucket", ["He'd rather clean the bucket then fight.. R.I.P.!"]),
    new loreItem("yokaiwatch:jibanyans_bell", ["Bro was so lazy, he left his bell behind."]),
    new loreItem("yokaiwatch:buchi-bell", ["Feels like a squishy marshmallow."]),
    new loreItem("yokaiwatch:sailor_bell", ["It's quite the cute bell!"]),
    new loreItem("yokaiwatch:magic_bell", ["A bell full of magical power.. it's cute, too!"]),
    new loreItem("yokaiwatch:fierce_flame", ["Hot, hot, hot!!"]),
    new loreItem("yokaiwatch:shambling_shorts", ["Probably a good thing they don't fit you.."]),
    new loreItem("yokaiwatch:phantoms_dirt", ["It's really durable, if only you could place it.."]),
    new loreItem("yokaiwatch:wib_wob", ["It's wibbly and wobbly!"]),
    new loreItem("yokaiwatch:puni", ["It's.. also.. kinda wibbly and wobbly..?"]),
    new loreItem("yokaiwatch:nervous_hat", ["Oh no.. what if.. there's a snake in this hat!?"]),
    new loreItem("yokaiwatch:pot_hat", ["A pot that just barely fits on your head."]),
    new loreItem("yokaiwatch:lord_enmas_enmablade", ["§cOnly the worthy can hold this mighty blade."]),
    new loreItem("yokaiwatch:palace_door_item", ["§cA door that has a powerful aura behind it."]),
    new loreItem("yokaiwatch:insomniacs_wisp", ["Holding this makes you want to stay up all night."]),
    new loreItem("yokaiwatch:wicked_wisp", ["Desired by many, but usually only held by 5."]),
    new loreItem("yokaiwatch:unwanted_sock", ["It doesn't even fit.."]),
    new loreItem("yokaiwatch:unknown_blade", ["A mysterious blade that holds lots of power."]),
    new loreItem("yokaiwatch:inferno_report", ["Reports of a incident in the Infinite Inferno."]),
    new loreItem("yokaiwatch:diamond_bell", ["Made with real diamond!"]),
    new loreItem("yokaiwatch:amethyst_bell", ["Made with real amethyst!"]),
    new loreItem("yokaiwatch:emerald_bell", ["Made with real emerald!"]),
    new loreItem("yokaiwatch:sapphire_bell", ["Made with real sapphire!"]),
    new loreItem("yokaiwatch:topaz_bell", ["Made with real topaz!"]),
    new loreItem("yokaiwatch:ruby_bell", ["Made with real ruby!"]),
    new loreItem("yokaiwatch:red_coin", ["The Brave will save the day!"]),
    new loreItem("yokaiwatch:yellow_coin", ["How Mysterious!"]),
    new loreItem("yokaiwatch:orange_coin", ["Tough stuff, boo-ya!"]),
    new loreItem("yokaiwatch:pink_coin", ["Oh my darling, Charming!"]),
    new loreItem("yokaiwatch:green_coin", ["Hearty Heartful!"]),
    new loreItem("yokaiwatch:blue_coin", ["We're feeling shady!"]),
    new loreItem("yokaiwatch:purple_coin", ["I'm Eerieee!"]),
    new loreItem("yokaiwatch:light_blue_coin", ["Slippery slip!"]),
    new loreItem("yokaiwatch:diamond_coin", ["Made with real diamonds!"]),
    new loreItem("yokaiwatch:amethyst_coin", ["Made with real amethyst!"]),
    new loreItem("yokaiwatch:emerald_coin", ["Made with real emeralds!"]),
    new loreItem("yokaiwatch:sapphire_coin", ["It's actually just lapis, not sapphire.."]),
    new loreItem("yokaiwatch:topaz_coin", ["It's not topaz, just copper.."]),
    new loreItem("yokaiwatch:ruby_coin", ["This isn't real either, it's just redstone.."]),
    new loreItem("yokaiwatch:red_hibiscus", ["A flower so beautiful, Yo-kai can evolve from it."]),
    new loreItem("yokaiwatch:abilititag", ["A item that lets Yo-kai use secondary abilities."]),
    new loreItem("yokaiwatch:soultimatag", ["A item that lets Yo-kai use Soultimate Moves."]),
    new loreItem("yokaiwatch:chocobo_spawn_egg", ["Seems like it'll hatch any minute now.."]),
];
 
system.runInterval(() => {
    for (const player of world.getPlayers()) {
        const playerContainer = player.getComponent("inventory").container
        for (let i = 0; i < playerContainer.size; i++) {
            const item = playerContainer.getItem(i);
            const findLore = ItemArray.find(x => x.itemId == item?.typeId);
            const lore = item?.getLore();
            if (!findLore || !item || lore?.length != 0) continue
            item.setLore(findLore.lore);
            playerContainer.setItem(i, item);
         }
        }
    } 
)

world.afterEvents.playerSpawn.subscribe(({ player, initialSpawn }) => {
    if (!initialSpawn || player.getDynamicProperty("hasJoinedBefore")) return;
    player.runCommandAsync("scoreboard objectives add spirit dummy spirit");
    player.setDynamicProperty("hasJoinedBefore", true);
});

world.afterEvents.itemUse.subscribe((data) => {
    const player = data.source
    const item = data.itemStack
    const cooldown = item.getComponent("minecraft:cooldown")
    if (item.typeId === "yokaiwatch:reverstone" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("reverstone") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s mad_kappa")
        player.runCommandAsync("summon yokaiwatch:mad_kappa")
        player.runCommandAsync("event entity @s badsmella")
        player.runCommandAsync("summon yokaiwatch:badsmella")
        player.runCommandAsync("replaceitem entity @s slot.weapon.mainhand 0 air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:chairmans_tag" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("chairmans_tag") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s mckraken_boss")
        player.runCommandAsync("summon yokaiwatch:mckraken_boss")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        player.runCommandAsync("effect @a[r=5] weakness 30 2",)
        player.runCommandAsync("music play record.ward 1 1 loop")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:bootleg_moximous_mask" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("bootleg_moximous_mask") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s meganyan_boss")
        player.runCommandAsync("summon yokaiwatch:meganyan_boss")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:puni" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("puni") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s punifuyu_boss")
        player.runCommandAsync("summon yokaiwatch:punifuyu_boss")
        player.runCommandAsync("event entity @s punijiro_boss")
        player.runCommandAsync("summon yokaiwatch:punijiro_boss")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:magic_bell" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("magic_bell") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s maginyan_boss")
        player.runCommandAsync("summon yokaiwatch:maginyan_boss")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:sushi_bunnys_card" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("sushi_bunnys_card") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s agent_spect_hare_boss")
        player.runCommandAsync("summon yokaiwatch:agent_spect_hare_boss")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:overworked_owners_medallion" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("overworked_owners_medallion") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s mvoob_boss")
        player.runCommandAsync("summon yokaiwatch:mvoob_boss")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:diamond_bell" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("diamond_bell") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s dianyan_boss")
        player.runCommandAsync("summon yokaiwatch:dianyan_boss")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:amethyst_bell" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("amethyst_bell") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s amethnyan_boss")
        player.runCommandAsync("summon yokaiwatch:amethnyan_boss")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:emerald_bell" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("emerald_bell") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s emenyan_boss")
        player.runCommandAsync("summon yokaiwatch:emenyan_boss")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:sapphire_bell" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("sapphire_bell") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s sapphinyan_boss")
        player.runCommandAsync("summon yokaiwatch:sapphinyan_boss")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:topaz_bell" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("topaz_bell") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s topanyan_boss")
        player.runCommandAsync("summon yokaiwatch:topanyan_boss")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:ruby_bell" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("ruby_bell") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s rubinyan_boss")
        player.runCommandAsync("summon yokaiwatch:rubinyan_boss")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:buchi-bell" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("buchi-bell") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s buchinyan_boss")
        player.runCommandAsync("summon yokaiwatch:buchinyan_boss")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:sailor_bell" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("sailor_bell") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s sailornyan_boss")
        player.runCommandAsync("summon yokaiwatch:sailornyan_boss")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:wib_wob" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("wib_wob") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s wobblenyan_boss")
        player.runCommandAsync("summon yokaiwatch:wobblenyan_boss")
        player.runCommandAsync("event entity @s wibblekoma_boss")
        player.runCommandAsync("summon yokaiwatch:wibblekoma_boss")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:blue_silly_drum" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("blue_silly_drum") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s katsu_chan_furious")
        player.runCommandAsync("summon yokaiwatch:katsu_chan_furious")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:awakened_eye" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("awakened_eye") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s slimamander_boss")
        player.runCommandAsync("summon yokaiwatch:slimamander_boss")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:invader_transmitter" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("invader_transmitter") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s invader_transmitter_entity")
        player.runCommandAsync("summon yokaiwatch:invader_transmitter_entity")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:vampires_blood" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("vampires_blood") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s dracunyan_boss")
        player.runCommandAsync("summon yokaiwatch:dracunyan_boss")
        player.runCommandAsync("time set midnight")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:golden_jumbo_shrimp_tempura" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("golden_jumbo_shrimp_tempura") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s little_charrmer_boss")
        player.runCommandAsync("summon yokaiwatch:little_charrmer_boss")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:dreadful_tag" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("dreadful_tag") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s dame_dedtime_boss")
        player.runCommandAsync("summon yokaiwatch:dame_dedtime_boss")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:combined_gears" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("combined_gears") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s kin_boss")
        player.runCommandAsync("summon yokaiwatch:kin_boss")
        player.runCommandAsync("event entity @s gin_boss")
        player.runCommandAsync("summon yokaiwatch:gin_boss")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:dame_staff_loiters" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("dame_staff_loiters") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s loiter_damestaff")
        player.runCommandAsync("summon yokaiwatch:loiter_damestaff")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:dame_staff_schemers" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("dame_staff_schemers") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s schemer_damestaff")
        player.runCommandAsync("summon yokaiwatch:schemer_damestaff")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:dame_staff_flickers" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("dame_staff_flickers") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s flicker_damestaff")
        player.runCommandAsync("summon yokaiwatch:flicker_damestaff")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:yo_kai_blaster_reuknight" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("yo_kai_blaster_reuknight") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s reuknight_blaster")
        player.runCommandAsync("summon yokaiwatch:reuknight_blaster")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:yo_kai_blaster_jibanyan" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("yo_kai_blaster_jibanyan") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s jibanyan_blaster")
        player.runCommandAsync("summon yokaiwatch:jibanyan_blaster")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:yo_kai_blaster_mrsandmeh" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("yo_kai_blaster_mrsandmeh") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s mr_sandmeh_blaster")
        player.runCommandAsync("summon yokaiwatch:mr_sandmeh_blaster")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:yo_kai_blaster_coughkoff" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("yo_kai_blaster_coughkoff") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s coughkoff_blaster")
        player.runCommandAsync("summon yokaiwatch:coughkoff_blaster")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:yo_kai_blaster_venoct" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("yo_kai_blaster_venoct") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s venoct_blaster")
        player.runCommandAsync("summon yokaiwatch:venoct_blaster")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:yo_kai_door_item" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("yo_kai_door_item") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s yo_kai_door")
        player.runCommandAsync("summon yokaiwatch:yo_kai_door")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:infinite_inferno_gate_1_item" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("infinite_inferno_gate_1_item") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s infinite_inferno_gate_1")
        player.runCommandAsync("summon yokaiwatch:infinite_inferno_gate_1")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:big_boss_door_item" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("big_boss_door_item") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s big_boss_door")
        player.runCommandAsync("summon yokaiwatch:big_boss_door")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:palace_door_item" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("palace_door_item") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s palace_door")
        player.runCommandAsync("summon yokaiwatch:palace_door")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
    if (item.typeId === "yokaiwatch:pocket_crank" && item.getComponent("minecraft:cooldown") && player.getItemCooldown("pocket_crank") === cooldown.cooldownTicks - 1) {
        player.runCommandAsync("event entity @s crank_a_kai")
        player.runCommandAsync("summon yokaiwatch:crank_a_kai")
        player.runCommandAsync("replaceitem entity @p slot.weapon.mainhand 0 minecraft:air")
        cooldown.startCooldown(player)
    }
});